<?xml version='1.0' encoding='utf-8'?>
<root version="20190819">
    <world>
        <walls>
            <wall begin="0:0" stroke-width="5" id="{040de144-7a6f-4afb-aac7-f4be1da696ed}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:200"/>
            <wall begin="0:1000" stroke-width="5" id="{1f62c201-8723-425c-99e0-7fc78d10d47e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:1200"/>
            <wall begin="800:0" stroke-width="5" id="{2874bbda-b5e5-4260-863d-0147f6292377}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:0"/>
            <wall begin="1400:600" stroke-width="5" id="{3c0fc77d-99bf-4596-9ff2-bcc22a000dec}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:400"/>
            <wall begin="0:1600" stroke-width="5" id="{4eea2523-0262-471e-80a8-c6b7aa153b01}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="350:1600"/>
            <wall begin="1400:800" stroke-width="5" id="{5666c708-c4f6-47b0-a1bc-d1ea861e7ce6}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:1000"/>
            <wall begin="1200:0" stroke-width="5" id="{56b522a3-5c7c-46e2-bfbc-cd9c2ff7b09e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:0"/>
            <wall begin="1000:400" stroke-width="5" id="{56d86238-8521-494b-84cf-3b0703950e0b}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:400"/>
            <wall begin="0:200" stroke-width="5" id="{58e93446-e01b-4467-ac81-aa74f6100032d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:400"/>
            <wall begin="1600:1600" stroke-width="5" id="{6259eff6-f304-44b2-adaa-7a0cb6e9b25f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="350:1600"/>
            <wall begin="0:800" stroke-width="5" id="{66fbb1bc-9b68-4372-b662-0df09cdcfce7}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:1000"/>
            <wall begin="0:400" stroke-width="5" id="{69c7c389-2d66-4f30-b457-0b97ce171f1d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:600"/>
            <wall begin="1600:0" stroke-width="5" id="{6c9a8506-c0dc-48bb-97c2-f6b87eb73d07}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:400"/>
            <wall begin="1200:3200" stroke-width="5" id="{72ae5ff8-5f50-414f-8a74-bdf530ed760c}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="4400:3200"/>
            <wall begin="600:0" stroke-width="5" id="{89bde907-f287-4caf-81c2-51a4ac98550f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:0"/>
            <wall begin="0:600" stroke-width="5" id="{8d7fa5f1-3d4c-42aa-b34f-e90ebfeb39f9}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:800"/>
            <wall begin="200:0" stroke-width="5" id="{8e0cb31e-f24f-41ce-b44a-37951d29d651}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:0"/>
            <wall begin="400:1400" stroke-width="5" id="{911eb093-1be6-4c8e-9835-8d1ea7606354}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:1600"/>
            <wall begin="0:0" stroke-width="5" id="{aaabe6ec-8c84-4d9e-a005-99b5fb37d153}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:0"/>
            <wall begin="1600:1000" stroke-width="5" id="{aef47fd5-ed95-41a8-9833-c4b7753c015a}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:400"/>
            <wall begin="1000:0" stroke-width="5" id="{d8f2ac0c-c426-4ca9-83fa-72ad0733dbbc}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:0"/>
            <wall begin="1600:1000" stroke-width="5" id="{de654a82-30ad-4296-a1ad-40e07030a493}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:1600"/>
            <wall begin="0:1200" stroke-width="5" id="{e3ba069f-ad0c-4960-b795-84e15d9027a5}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:1600"/>
            <wall begin="400:0" stroke-width="5" id="{fbbf6aa2-2e72-43a3-8451-3f44f080826f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:0"/>
            <wall begin="400:400" stroke-width="5" id="{2a1cbe4d-2c1b-4ffe-afdd-8d8dfe48e1f6}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:600"/>
            <wall begin="800:400" stroke-width="5" id="{ae6ee371-f673-496a-a00c-64ddb10a950d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:600"/>
            <wall begin="1000:400" stroke-width="5" id="{e8357d3c-fc26-4a33-8ab7-f5b196fdd965}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:400"/>
            <wall begin="1400:1400" stroke-width="5" id="{d8ed370c-fa3d-4100-b882-f065bc1a8883}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:1400"/>
            <wall begin="200:1400" stroke-width="5" id="{a968f975-2e39-48c9-a61f-90ea4c0dbd96}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:1200"/>
            <wall begin="1000:1400" stroke-width="5" id="{cfff5747-2716-41e1-a365-b4dd67e6052c}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:1600"/>
            <wall begin="600:600" stroke-width="5" id="{fc3254de-ecbc-4787-aa18-00ff6e448ab5}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:400"/>
            <wall begin="1200:1400" stroke-width="5" id="{78746bcd-c153-4c2b-aadd-e718118e55aa}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:1600"/>
            <wall begin="400:1000" stroke-width="5" id="{3142bc86-4826-4e9e-a60f-676b5aeae78e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:1200"/>
            <wall begin="600:1000" stroke-width="5" id="{c2620211-c61e-48cd-b038-69eaadef8010}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:1200"/>
            <wall begin="800:1000" stroke-width="5" id="{26f68652-e3d9-4403-bd43-15957854a755}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:800"/>
            <wall begin="1000:1000" stroke-width="5" id="{ed15fe0f-fa32-4f9a-84e6-1acd95243ff6}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:800"/>
            <wall begin="600:200" stroke-width="5" id="{24dcd69c-6008-490c-a97e-424f7083b404}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:200"/>
            <wall begin="200:400" stroke-width="5" id="{3ca2fe23-bf34-4ff7-8a18-7a028705742c}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:400"/>
            <wall begin="400:200" stroke-width="5" id="{e614c306-2840-452f-ae9b-e5b0b3f44404}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:200"/>
            <wall begin="600:800" stroke-width="5" id="{f32452a9-c16d-483a-bc5a-3ab5a9c9da1d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:1000"/>
            <wall begin="200:400" stroke-width="5" id="{961740db-fc58-4122-bbd8-99282945475f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:600"/>
            <wall begin="200:600" stroke-width="5" id="{434ce4a8-1692-4593-8313-38e8bddc3938}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:800"/>
            <wall begin="200:800" stroke-width="5" id="{896fdc9a-84ed-42c5-a80e-1dc32210345f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:1000"/>
            <wall begin="400:600" stroke-width="5" id="{b3e4f08a-55ae-4a97-8404-c1ba41467a0e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:800"/>
            <wall begin="400:800" stroke-width="5" id="{64848a17-ff29-4347-a99b-a2fc70b37308}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:1000"/>
            <wall begin="600:800" stroke-width="5" id="{29ec86ba-4853-494b-8b58-6cb2ef5b42bf}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:600"/>
            <wall begin="600:400" stroke-width="5" id="{1fe9e227-4ae4-48a4-a362-28cadf932a8b}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:200"/>
            <wall begin="800:600" stroke-width="5" id="{74452bc7-7814-4514-9b09-cff06b740cb3}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:800"/>
            <wall begin="1000:600" stroke-width="5" id="{27857d7e-30a4-4743-a71c-ddb8e1d23760}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:800"/>
            <wall begin="1400:400" stroke-width="5" id="{5a458683-0283-4bfe-ab5c-2ef9cf2cea0b}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:400"/>
            <wall begin="1200:600" stroke-width="5" id="{a2f5a940-ba56-42e5-ac43-4fd09cffe140}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:600"/>
            <wall begin="1400:600" stroke-width="5" id="{262b2ec4-0463-4c15-845a-0b5cb5890848}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:800"/>
            <wall begin="1200:800" stroke-width="5" id="{38190515-6640-406e-a3ae-58d6c33951dd}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:600"/>
            <wall begin="1200:800" stroke-width="5" id="{cb4d6239-b16e-4f6b-bfed-71c7d025c956}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:1000"/>
            <wall begin="1400:1000" stroke-width="5" id="{63e13e57-14c1-4e3d-a92a-efd7ecba5e19}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:1200"/>
            <wall begin="1400:1200" stroke-width="5" id="{3212c39d-89cd-44e3-adc4-299a5f6bfbf5}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:1400"/>
            <wall begin="1200:1400" stroke-width="5" id="{0a8d2f0d-4f12-4cc9-bf0b-4e01cabd338c}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:1200"/>
            <wall begin="1200:1000" stroke-width="5" id="{276f4d5e-e5eb-4fe3-9006-7ff4ab459ea0}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:1200"/>
            <wall begin="1000:1200" stroke-width="5" id="{2604b37c-24f1-4367-bcf8-1aef305c9703}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:1000"/>
            <wall begin="800:1000" stroke-width="5" id="{284c94db-8eb9-4108-b765-98f215029f6a}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:1200"/>
            <wall begin="200:1200" stroke-width="5" id="{a71d9862-ac0b-4f20-85d0-dbebcc0de505}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:1000"/>
            <wall begin="400:1400" stroke-width="5" id="{f8e601be-c19d-4080-b64a-5150ee7a0752}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:1200"/>
            <wall begin="200:1400" stroke-width="5" id="{b2b21609-274b-47c8-a8bd-0e8897f14669}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:1600"/>
            <wall begin="600:1200" stroke-width="5" id="{4c847b0f-627c-4a47-a36a-2105566ddacc}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:1400"/>
            <wall begin="600:1400" stroke-width="5" id="{90497a51-ce2b-42de-98be-36dc956da401}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:1400"/>
            <wall begin="800:1400" stroke-width="5" id="{27f2a306-6fc9-4420-a870-004cf5b37ab9}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:1400"/>
            <wall begin="800:1400" stroke-width="5" id="{37bf14ed-b0d2-40e6-bf70-7656da7dcc05}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:1200"/>
            <wall begin="1000:1400" stroke-width="5" id="{fd64fe27-6e7d-402c-833b-13cda35d1904}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:1200"/>
            <wall begin="200:200" stroke-width="5" id="{f58d5cad-04b1-4d8b-a8cf-6698244c2463}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:200"/>
            <wall begin="400:200" stroke-width="5" id="{7868eaf8-24b1-4f80-86a1-22ca484f0726}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:0"/>
            <wall begin="600:200" stroke-width="5" id="{d75e6435-49a2-49b1-8113-4a632cb6f88c}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:200"/>
            <wall begin="800:200" stroke-width="5" id="{49faa9f9-14ed-48bf-8e12-20122308d034}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:0"/>
            <wall begin="600:200" stroke-width="5" id="{d0b097e8-f387-4867-bc12-451fe738b78e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:0"/>
        </walls>
        <skittles/>
        <balls/>
        <colorFields/>
        <images/>
        <regions>
            <region y="200" textX="0" text="(5,1)" id="(5,1)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(5,2)" id="(5,2)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="Start" id="start" filled="true" height="200" textY="0" x="600" visible="true" color="#0000ff" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(5,3)" id="(5,3)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(5,5)" id="(5,5)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(5,6)" id="(5,6)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(5,4)" id="(5,4)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(5,0)" id="(5,0)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(4,1)" id="(4,1)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(4,2)" id="(4,2)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(4,7)" id="(4,7)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(4,3)" id="(4,3)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(4,5)" id="(4,5)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(4,6)" id="(4,6)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(4,4)" id="(4,4)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(5,7)" id="(5,7)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(7,2)" id="(7,2)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(7,3)" id="(7,3)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(6,0)" id="(6,0)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(7,4)" id="(7,4)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(7,6)" id="(7,6)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(7,7)" id="(7,7)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(7,5)" id="(7,5)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(7,1)" id="(7,1)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(6,1)" id="(6,1)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(6,2)" id="(6,2)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(7,0)" id="(7,0)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(6,3)" id="(6,3)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(6,4)" id="(6,4)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(6,7)" id="(6,7)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(6,5)" id="(6,5)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(6,6)" id="(6,6)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(4,0)" id="(4,0)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(1,0)" id="(1,0)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(1,1)" id="(1,1)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(3,7)" id="(3,7)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(1,2)" id="(1,2)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(1,4)" id="(1,4)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(1,5)" id="(1,5)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(1,3)" id="(1,3)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(0,7)" id="(0,7)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(0,0)" id="(0,0)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(0,1)" id="(0,1)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(0,6)" id="(0,6)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(0,2)" id="(0,2)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(0,4)" id="(0,4)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(0,5)" id="(0,5)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(0,3)" id="(0,3)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(1,6)" id="(1,6)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(3,1)" id="(3,1)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(3,2)" id="(3,2)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(1,7)" id="(1,7)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(3,3)" id="(3,3)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(3,5)" id="(3,5)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(3,6)" id="(3,6)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(3,4)" id="(3,4)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="Blocked" id="(3,0)" filled="true" height="200" textY="0" x="600" visible="true" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(2,0)" id="(2,0)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(2,1)" id="(2,1)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(2,7)" id="(2,7)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(2,2)" id="(2,2)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(2,3)" id="(2,3)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(2,6)" id="(2,6)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(2,4)" id="(2,4)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(2,5)" id="(2,5)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
        </regions>
    </world>
    <robots>
        <robot position="675:1475" id="trikKitRobot" direction="180">
            <sensors>
                <sensor position="25:25" type="trik::robotModel::parts::TrikSonarSensor" port="D1###input###D1###sensorD1" direction="0"/>
                <sensor position="25:25" type="trik::robotModel::parts::TrikSonarSensor" port="D2###input###D2###sensorD2" direction="180"/>
                <sensor position="25:25" type="trik::robotModel::parts::TrikInfraredSensor" port="A1###input###А1###sensorA1" direction="90"/>
                <sensor position="25:25" type="trik::robotModel::parts::TrikInfraredSensor" port="A2###input######sensorA2" direction="-90"/>
            </sensors>
            <startPosition y="1500" id="{153e1f58-d00a-4ceb-af02-6d586cd4ee70}" x="700" direction="180"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
    <settings realisticSensors="false" realisticPhysics="false" realisticMotors="false"/>
    <constraints>
        <timelimit value="900000"/>
        <constraint checkOnce="true" failMessage="У робота не должно быть лишних датчиков!">
            <conditions glue="and">
                <equals>
                    <typeOf objectId="robot1.A3"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
        <constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
            <inside regionId="start" objectId="robot1"/>
        </constraint>
        <event settedUpInitially="true">
            <conditions glue="and">
                <inside regionId="start" objectId="robot1"/>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <not>
                    <equals>
                        <objectState object="robot1.display.labels.first.text"/>
                        <string value="(2,0)"/>
                    </equals>
                </not>
            </conditions>
            <trigger>
                <fail message="Неверный ответ!"/>
            </trigger>
        </event>
        <event settedUpInitially="true">
            <conditions glue="and">
                <inside regionId="start" objectId="robot1"/>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="(2,0)"/>
                </equals>
            </conditions>
            <trigger>
                <success/>
            </trigger>
        </event>
    </constraints>
</root>
